// =====================================
// Определение класса Window
// =====================================

class Window
{
  HWND hwnd; // Идентификатор окна
  int errno; // Флаг ошибки
public:
  // Конструктор
  Window(HINSTANCE, LPSTR, LPSTR);

  // Проверка флага ошибки
  int  Error(void)        { return errno; }

  // Отображение окна
  void Show(int nCmdShow) { ShowWindow(hwnd, nCmdShow); }

  // Передача функции WndProc сообщения WM_PAINT
  void Update(void)       { UpdateWindow(hwnd); }
};

